XmDirectionMatchPartial(library call)

NAME
XmDirectionMatchPartial — A function that checks for a specified direction component

SYNOPSIS

#include <Xm/Xm.h>
Boolean XmDirectionMatchPartial (d1, d2, dmask)
        XmDirection     d1;
        XmDirection     d2;
        XmDirection     dmask;
(void)

DESCRIPTION

XmDirectionMatchPartial compares d1 and d2 along the direction component specified by dmask. For example, if dmask equals XmVERTICAL_MASK, then the function will compare only the vertical components of d1 and d2.

d1  Specifies an XmDirection value to check.

d2  Specifies an XmDirection value to check.

dmask
    Specifies the direction component along which d1 and d2 are to be checked. Appropriate values for dmask are XmHORIZONTAL_MASK, XmVERTICAL_MASK, and XmPRECEDENCE_MASK.

RETURN VALUES

Returns True if the d1 and d2 match in the component specified by dmask; otherwise, returns False.

RELATED INFORMATION

XmDirection(3), XmDirectionMatch(3), XmDirectionToStringDirection(3), XmStringDirection(3), and XmStringDirectionToDirection(3).